import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import "../../components"

import Artix.Core
import Artix.Gui

/**
 * @brief Делигат для ChoiceList
 */
GroupBox {
    Style.class: "choiceListDelegate"
    leftPadding: 24
    rightPadding: 24
    topPadding: 16
    bottomPadding: 16
    width: parent.width
    height: 72
    down: pressed || selectionModel.currentIndex.row === index
    onClicked: selectionModel.setCurrentIndex(dataModel.index(index, 0), ItemSelectionModel.SelectCurrent)
    Line {
        anchors.top: parent.bottom
        x: -16
        width: parent.width + 32
        strokeWidth: 1
        color: Style.parameter("color.grayBorder")
    }
}
