import QtQuick
import QtQuick.Controls
import QtQuick.Layouts

import "../../components"

import Artix.Gui

/**
 * @brief Базовый делегат в списке позиций
 */
GroupBox {
    id: delegate

    padding: 12
    leftPadding: 16
    rightPadding: 16
    Style.class: "positionDelegate"
    down: selected
    animationDuration: 300
    clip: true
    // Разделитель
    Line {
        id: sep
        y: parent.height - strokeWidth
        width: parent.width
        strokeWidth: 1
        color: Style.parameter("color.grayBorder")
    }

    onClicked: () => handleClick()

    Behavior on height {
        SequentialAnimation {
            SmoothedAnimation { velocity: 800 }
            ScriptAction { script: root.positionViewAtIndex(index, ListView.Contain) }
        }
    }

    function handleClick() {
        dm.selectPosition(index)
        scrollBar.active = true
    }
}
