import QtQuick
import QtQuick.VirtualKeyboard

import Artix.Core
import Artix.Gui

/**
 * @brief Кнопка смены отмены ввода
 * @param customStyle уникальный стиль для кнопки
 * @param actionButton кнопка вызавает внешнее действие
 */
Key {
    readonly property string customStyle: "keyboardCancelButton"
    readonly property bool actionButton: true

    noKeyEvent: true
    functionKey: true
    highlighted: true
    onClicked: keyboard?.cancel()
    visible: keyboard.showCancel
    Tr { tr: keyboard.cancelTr }
}
