import QtQuick
import QtQuick.Controls

import Artix.Gui

/**
 * @brief Кнопка клавиатуры с текстом
 */
KeyboardKey {
    id: root
    Style.type: "button"
    Style.class: control.customStyle ?? "keyboardKey"
    readonly property color color: Style.text.color
    readonly property font font: Style.text.font
    contentItem: Label {
        id: label
        text: control.uppercased && !control.functionKey ? control.displayText.toUpperCase() : control.displayText
        color: root.color
        font: root.font
        padding: 12
        horizontalAlignment: control.actionButton ? Text.AlignLeft : Text.AlignHCenter
        verticalAlignment: control.actionButton ? Text.AlignBottom : Text.AlignVCenter

        Label {
            anchors.top: parent.top
            anchors.right: parent.right
            anchors.topMargin: 5
            anchors.rightMargin: 10
            text: control.smallText
            color: root.color
            font {
                pixelSize: root.font.pixelSize / 3 * 2
                family: root.font.family
                weight: root.font.weight
            }
        }
    }
}
